## pandas 1.3.5+dfsg

=== Makefile ===
.PHONY : develop build clean clean_pyc doc lint-diff black test-scripts

all: develop

clean:
	-python setup.py clean

clean_pyc:
	-find . -name '*.py[co]' -exec rm {} \;

build: clean_pyc
	python setup.py build_ext

lint-diff:
	git diff upstream/master --name-only -- "*.py" | xargs flake8

black:
	black .

develop: build
	python -m pip install --no-build-isolation -e .

doc:
	-rm -rf doc/build doc/source/generated
	cd doc; \
	python make.py clean; \
	python make.py html

test-scripts:
	pytest scripts

=== debian/changelog ===
pandas (1.3.5+dfsg-5) unstable; urgency=medium

  * Fix FTBFS with Sphinx 5.  (Closes: #1013375)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 26 Jun 2022 15:06:07 +0100

pandas (1.3.5+dfsg-4) unstable; urgency=medium

  * Temporarily skip numba tests.  (Closes: #1008179)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 25 Mar 2022 20:57:26 +0000

pandas (1.3.5+dfsg-3) unstable; urgency=medium

  * Tests: be compatible with new fsspec.  (Closes: #1006170)
  * Re-enable numba tests.
  * Fix pyversions call.
  * Enable Salsa CI.
  * Update Lintian overrides.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 21 Feb 2022 07:35:51 +0000

pandas (1.3.5+dfsg-2) unstable; urgency=medium

  * Temporarily skip numba tests (see LP#1951814).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 28 Jan 2022 19:22:53 +0000

pandas (1.3.5+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Update contributors_list.
  * Refresh patches, drop patches no longer needed.
  * d/watch: Ignore RC versions.
  * Docs: Add missing mathjax dependency.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 11 Jan 2022 21:25:17 +0000

pandas (1.3.4+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Disable more numba tests on 32bit archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Dec 2021 17:32:54 +0100

pandas (1.3.4+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Fix an other import in the test patch
  * Add closes bug to old changelog

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 Dec 2021 10:36:56 +0100

pandas (1.3.4+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix missing import
  * Remove unused salsa-ci.yml

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Nov 2021 23:39:49 +0100

pandas (1.3.4+dfsg-4) unstable; urgency=medium

  * Tests: remove another 64 bit assumption.
  * Warn the user and ignore all tests on mips*.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 30 Nov 2021 10:11:08 +0000

pandas (1.3.4+dfsg-3) unstable; urgency=medium

  * Tests: remove some more 64 bit or x86-or-arm64 assumptions.
  * Docs: add missing MathJax.js symlink, remove unused URL replacement.
  * Add transition Breaks (see #999415).
  * Upload to unstable.  (Closes: #999415)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 29 Nov 2021 21:59:11 +0000

pandas (1.3.4+dfsg-2) experimental; urgency=medium

  * Stop ignoring build-time tests.
  * Tests: don't assume 64 bit or x86-or-arm64.
  * Fix #877754 warning.
  * Xfail more numba tests on big-endian systems.
  * Skip test_statsmodels during build to break dependency cycle.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 25 Nov 2021 22:04:47 +0000

pandas (1.3.4+dfsg-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version (Closes: #1000422)
  * Standards-Version: 4.6.0 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse,
    Security-Contact.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Apply multi-arch hints.
    + python-pandas-doc: Add Multi-Arch: foreign.
  * Remove hidden files and directories that are confusing gbp
  * drop tag definitions from debian/gbp.conf

  [ Rebecca N. Palmer ]
  * Upload to experimental (see #999415).
  * Update contributors_list and d/copyright.
  * Refresh patches, remove no longer needed patches.
  * Update minimum dependency versions.
  * Re-enable xlrd and numba tests (#976620 and #972246 have ben fixed).
  * Temporarily disable failing style.ipynb build.
  * Tests: accept changed error messages, add new dependency,
    skip/xfail tests that our test setup breaks, clean up afterwards.
  * Temporarily ignore build-time tests to get a first build.
  * Be compatible with matplotlib 3.5.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Nov 2021 21:04:26 +0000

=== debian/control ===
Source: pandas
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Rebecca N. Palmer <rebecca_palmer@zoho.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               locales-all,
               python3-all-dev,
               cython3 (>= 0.29.24~),
               python3-bottleneck <!nocheck> <!nodoc>,
               python3-bs4 <!nocheck> <!nodoc>,
               python3-dask (>= 2.10.1~) <!nocheck> <!nodoc>,
               python3-dateutil,
               python3-html5lib <!nocheck> <!nodoc>,
               python3-hypothesis <!nocheck> <!nodoc>,
               python3-jinja2 <!nocheck> <!nodoc>,
               python3-lxml <!nocheck> <!nodoc>,
               python3-matplotlib [!ia64 !sh4 !x32] <!nocheck> <!nodoc>,
# armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
# #1000336               python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x] <!nocheck> <!nodoc>,
               python3-numexpr (>= 2.7~) <!nocheck> <!nodoc>,
               python3-numpy,
               python3-odf <!nocheck> <!nodoc>,
               python3-openpyxl <!nocheck> <!nodoc>,
               python3-pytest (>= 6.0~) <!nocheck> <!nodoc>,
               python3-pytest-asyncio <!nocheck> <!nodoc>,
               python3-pytest-forked <!nocheck> <!nodoc>,
               python3-pytest-xdist <!nocheck> <!nodoc>,
               python3-scipy,
               python3-setuptools,
               python3-six,
               python3-tables <!nocheck> <!nodoc>,
               python3-tabulate (>= 0.8.3~) <!nocheck> <!nodoc>,
               python3-tk <!nocheck> <!nodoc>,
               python3-tz <!nocheck> <!nodoc>,
               python3-xlrd <!nocheck> <!nodoc>,
               python3-xlsxwriter <!nocheck> <!nodoc>,
               python3-xlwt <!nocheck> <!nodoc>,
               sphinx-common,
               xvfb <!nocheck>,
               xauth <!nocheck>,
               xclip <!nocheck>
Build-Depends-Indep: python3-sphinx <!nodoc>,
                     python3-ipykernel <!nodoc>,
                     python3-nbconvert (>= 5.4.1~) <!nodoc>,
                     python3-nbsphinx <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     ipython3 (>= 7.11.1~) <!nodoc>,
                     jdupes <!nodoc>,
# for style.ipynb
#fails with KeyError 'state'                     pandoc <!nodoc>,
# for intersphinx inventories
                     python3-doc <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python-scipy-doc <!nodoc>,
                     python-matplotlib-doc <!nodoc>,
                     python-statsmodels-doc <!nodoc>,
# these are for not having (as many) exception messages in documentation examples
# so may be temporarily removed if they are broken or to break bootstrap cycles
# not in Debian (not to be confused with python3-arrow) python3-pyarrow <!nodoc>,
                     python3-ipywidgets <!nodoc>,
                     python3-rpy2 <!nodoc>,
                     python3-seaborn <!nodoc>,
                     python3-sqlalchemy <!nodoc>,
                     python3-statsmodels <!nodoc>,
                     python3-xarray <!nodoc>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/pandas
Vcs-Git: https://salsa.debian.org/science-team/pandas.git
Homepage: https://pandas.pydata.org/
Rules-Requires-Root: no

Package: python3-pandas
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-dateutil,
         python3-pandas-lib (>= ${source:Upstream-Version}),
# should maybe have a python3-pandas-lib (<< ${source:Upstream-Version}.0), as well, but that leaves arch:all BD-Uninstallable if arch:amd64 builds first
         python3-pkg-resources,
         python3-six
Recommends: python3-scipy,
            python3-matplotlib,
            python3-tz,
# for faster processing
# see -lib for python3-numba
            python3-bottleneck,
            python3-numexpr,
# for spreadsheet I/O
            python3-odf,
            python3-openpyxl,
# broken - #976620            python3-xlrd,
            python3-xlwt,
# for HTML table I/O
            python3-bs4,
            python3-html5lib,
            python3-lxml,
# for HDF5 I/O
            python3-tables,
# for styled output
            python3-jinja2
Suggests: python-pandas-doc,
          python3-statsmodels
Breaks:
# 0.23 -> 0.25 API breaks, #931557
        cnvkit (<< 0.9.6-2~),
# 0.25 -> 1.0 API breaks, #950430
        python3-biom-format (<< 2.1.8+dfsg-3.1~),
        python3-statsmodels (<< 0.11.0~),
        python3-seaborn (<< 0.9.1~),
# 1.0 -> 1.1 API breaks, #969650
        python3-dask (<< 2.11.0+dfsg-1.1~),
# 1.1 -> 1.3 API breaks, see #999415
        python3-cfgrib (<= 0.9.9-1),
        python3-joypy (<= 0.2.2-2),
        python3-cooler (<= 0.8.8-1),
        python3-skbio (<= 0.5.6-5)
Description: data structures for "relational" or "labeled" data
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the Python 3 version.

Package: python-pandas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Suggests: python3-pandas
Multi-Arch: foreign
Description: data structures for "relational" or "labeled" data - documentation
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the documentation.

Package: python3-pandas-lib
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         python3-numpy
# this is here to allow it to be arch-specific, to avoid numba bugs on other architectures
Recommends: python3-numba [amd64]
Description: low-level implementations and bindings for pandas
 This is a low-level package for python3-pandas providing
 architecture-dependent extensions.
 .
 Users should not need to install it directly.

=== debian/tests/control ===
# Check that the hard Depends are enough for import
# cd to not-the-source-directory to get the installed pandas
Test-Command: cd "$AUTOPKGTEST_TMP" && python3 -c "import pandas;a=pandas.DataFrame([[1,2],[3,4]])"
Depends: python3-pandas
Restrictions: allow-stderr

# According to pandas/doc/source/install.rst, running the unit tests looks like:
# `py.test-3 --skip-slow --skip-network /usr/lib/python3/dist-packages/pandas/ -v -rs`
# Or simply `python3 -c "import pandas as pd; pd.test()"`, which doesn't require
# us to specify the path (pandas.__path__) in command line.
# See: pandas/util/_tester.py
Tests: unittests3
# xml test_wrong_url fails without ca-certificates
Depends: ca-certificates,
         locales-all,
         python3-all,
         python3-bottleneck (>= 1.2.1~),
         python3-bs4,
         python3-dask (>= 2.10.1~),
         python3-dateutil (>= 2.7.3~),
         python3-html5lib,
         python3-hypothesis,
         python3-jinja2,
         python3-lxml,
         python3-matplotlib [!hurd-i386],
# armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
# #1000336         python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x],
         python3-numexpr (>= 2.7~),
         python3-numpy (>= 1:1.15~),
         python3-odf,
         python3-openpyxl,
         python3-pandas,
         python3-pytest (>= 6.0~),
         python3-pytest-asyncio,
         python3-pytest-forked,
         python3-pytest-xdist (>= 1.21~),
         python3-scipy,
         python3-six,
         python3-statsmodels,
         python3-tables (>= 3.4.3~),
         python3-tabulate (>= 0.8.3~),
         python3-tk,
         python3-tz,
         python3-xarray,
         python3-xlrd,
         python3-xlsxwriter,
         python3-xlwt,
         xauth,
         xvfb,
         xclip,
Restrictions: allow-stderr, needs-internet

## pandas 1.5.2+dfsg

=== debian/changelog ===
pandas (1.5.2+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list.
  * Fix Lintian typo.
  * Xfail parso-using tests (workaround for #1023896).
  * Temporarily drop numba test-depends (skips tests),
    as it is uninstallable due to #1024795.
  * Add transition Breaks (see #1022571).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 30 Nov 2022 21:48:47 +0000

pandas (1.3.5+dfsg-6) unstable; urgency=medium

  * Team upload
  * Ignore test failures for first build with Python 3.11,
    see #1023965

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Nov 2022 10:36:51 +0000

pandas (1.5.1+dfsg-3) experimental; urgency=medium

  * Revert minimum Cython version.
  * Tests: fix another little-endian assumption.
  * Silence some Lintian messages.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 10 Nov 2022 21:36:53 +0000

pandas (1.5.1+dfsg-2) experimental; urgency=medium

  * Tests: xfail rolling.var/std rounding error on i386,
    don't assume little-endian,
    re-disable some SQL tests our setup blocks.
  * Temporarily lower minimum Cython version (see LP#1995992).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 09 Nov 2022 21:17:44 +0000

pandas (1.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright and patches.
  * Include more of the optional test-depends, for more test coverage.
  * Update minimum dependency versions.
  * Docs: update Sphinx extension dependencies,
    use pydata theme but disable analytics (for privacy) and
    features requiring dependencies we don't have.
  * Tests: use the upstream mechanism to skip non-CI-friendly
    (e.g. excessively resource-heavy) tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 07 Nov 2022 21:02:49 +0000

pandas (1.4.3+dfsg-6) experimental; urgency=medium

  * Fix NaT bug introduced by previous patch.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 24 Aug 2022 22:01:26 +0100

pandas (1.4.3+dfsg-5) experimental; urgency=medium

  * Fix bounds checking in float-to-datetime conversion.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 23 Aug 2022 22:24:15 +0100

pandas (1.4.3+dfsg-4) experimental; urgency=medium

  * Tests: skip another s390x numba issue, new riscv64 date error test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 22 Aug 2022 22:25:08 +0100

pandas (1.4.3+dfsg-3) experimental; urgency=medium

  * Don't warn on non-x86 NaN->datetime cast,
    as this has been fixed in numpy (#877754).
  * Tests: fix architecture detection, skip another s390x numba crash,
    extend hurd_compat.patch, more output around riscv64 date errors.
  * Add transition Breaks (see #1017809).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Aug 2022 18:13:03 +0100

pandas (1.4.3+dfsg-2) experimental; urgency=medium

  * Tests: don't assume little-endian,
    don't try to cast pytz version to float,
    ignore a missing numpy warning on armel.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 20 Aug 2022 10:32:58 +0100

pandas (1.4.3+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright and patches.
  * Upload to experimental, due to potential breakage.
  * Remove xlwt Recommends.
  * Update build/test-Depends.
  * Re-enable numba (see #1000336).
  * Update README.source.
  * Update Lintian override format (see #1007002).
  * Tests: add a searchable failure message to crashes/errors,
    be less verbose so the log fits in the Salsa CI size limit,
    remove a now-useless xlrd test, xfail some tests on 32-bit.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Show the numba non-x86 warning on more (all?) numba uses.
  * Drop stable_test_urls.patch.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 27 Jul 2022 22:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -9,43 +9,55 @@
                dh-python,
                locales-all,
                python3-all-dev,
-               cython3 (>= 0.29.24~),
-               python3-bottleneck <!nocheck> <!nodoc>,
-               python3-bs4 <!nocheck> <!nodoc>,
+               cython3 (>= 0.29.32~),
+# we don't have this version               python3-blosc (>= 1.21.0~) <!nocheck> <!nodoc>,
+               python3-bottleneck (>= 1.3.2~) <!nocheck> <!nodoc>,
+               python3-bs4 (>= 4.9.3~) <!nocheck> <!nodoc>,
                python3-dask (>= 2.10.1~) <!nocheck> <!nodoc>,
                python3-dateutil,
-               python3-html5lib <!nocheck> <!nodoc>,
-               python3-hypothesis <!nocheck> <!nodoc>,
-               python3-jinja2 <!nocheck> <!nodoc>,
-               python3-lxml <!nocheck> <!nodoc>,
-               python3-matplotlib [!ia64 !sh4 !x32] <!nocheck> <!nodoc>,
+               python3-fsspec (>= 2021.07.0~) <!nocheck> <!nodoc>,
+               python3-html5lib (>= 1.1~) <!nocheck> <!nodoc>,
+               python3-hypothesis (>= 6.13.0~) <!nocheck> <!nodoc>,
+               python3-jinja2 (>= 3.0~) <!nocheck> <!nodoc>,
+               python3-lxml (>= 4.6.3~) <!nocheck> <!nodoc>,
+               python3-matplotlib (>= 3.3.2~) [!ia64 !sh4 !x32] <!nocheck> <!nodoc>,
 # armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
-# #1000336               python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x] <!nocheck> <!nodoc>,
-               python3-numexpr (>= 2.7~) <!nocheck> <!nodoc>,
-               python3-numpy,
-               python3-odf <!nocheck> <!nodoc>,
-               python3-openpyxl <!nocheck> <!nodoc>,
+# uninstallable due to #1024795               python3-numba (>= 0.53.1~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x] <!nocheck> <!nodoc>,
+               python3-numexpr (>= 2.8.0~) <!nocheck> <!nodoc>,
+               python3-numpy (>= 1:1.18.5~),
+               python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
+               python3-openpyxl (>= 3.0.7~) <!nocheck> <!nodoc>,
+# doesn't seem to work in this test environment               python3-psycopg2 (>= 2.8.6~) <!nocheck> <!nodoc>,
+# doesn't seem to work in this test environment               python3-pymysql (>= 1.0.2~) <!nocheck> <!nodoc>,
                python3-pytest (>= 6.0~) <!nocheck> <!nodoc>,
-               python3-pytest-asyncio <!nocheck> <!nodoc>,
+               python3-pytest-asyncio (>= 0.17~) <!nocheck> <!nodoc>,
                python3-pytest-forked <!nocheck> <!nodoc>,
-               python3-pytest-xdist <!nocheck> <!nodoc>,
+               python3-pytest-xdist (>= 1.31~) <!nocheck> <!nodoc>,
                python3-scipy,
-               python3-setuptools,
+               python3-setuptools (>= 51~),
                python3-six,
-               python3-tables <!nocheck> <!nodoc>,
-               python3-tabulate (>= 0.8.3~) <!nocheck> <!nodoc>,
+# we don't have this version               python3-snappy (>= 0.6.0~) <!nocheck> <!nodoc>,
+               python3-sqlalchemy (>= 1.4.16~) <!nocheck> <!nodoc>,
+               python3-tables (>= 3.6.1~) <!nocheck> <!nodoc>,
+               python3-tabulate (>= 0.8.9~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
-               python3-tz <!nocheck> <!nodoc>,
-               python3-xlrd <!nocheck> <!nodoc>,
-               python3-xlsxwriter <!nocheck> <!nodoc>,
-               python3-xlwt <!nocheck> <!nodoc>,
+               python3-tz (>= 2022.1~) <!nocheck> <!nodoc>,
+               python3-xarray (>= 0.19.0~) <!nocheck> <!nodoc>,
+# we don't have this version               python3-xlrd (>= 2.0.1~) <!nocheck> <!nodoc>,
+               python3-xlsxwriter (>= 1.4.3~) <!nocheck> <!nodoc>,
+# having xlwt and not xlrd breaks tests/io/test_fsspec.py               python3-xlwt (>= 1.3.0~) <!nocheck> <!nodoc>,
+               python3-zstandard <!nocheck> <!nodoc>,
                sphinx-common,
                xvfb <!nocheck>,
                xauth <!nocheck>,
                xclip <!nocheck>
 Build-Depends-Indep: python3-sphinx <!nodoc>,
+                     python3-sphinx-copybutton <!nodoc>,
+                     python3-sphinx-panels <!nodoc>,
+                     python3-pydata-sphinx-theme <!nodoc>,
                      python3-ipykernel <!nodoc>,
-                     python3-nbconvert (>= 5.4.1~) <!nodoc>,
+                     python3-notebook (>= 6.0.3~) <!nodoc>,
+                     python3-nbconvert (>= 6.4.5~) <!nodoc>,
                      python3-nbsphinx <!nodoc>,
                      python3-numpydoc <!nodoc>,
                      ipython3 (>= 7.11.1~) <!nodoc>,
@@ -67,7 +79,7 @@
                      python3-sqlalchemy <!nodoc>,
                      python3-statsmodels <!nodoc>,
                      python3-xarray <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 Homepage: https://pandas.pydata.org/
@@ -93,8 +105,6 @@
 # for spreadsheet I/O
             python3-odf,
             python3-openpyxl,
-# broken - #976620            python3-xlrd,
-            python3-xlwt,
 # for HTML table I/O
             python3-bs4,
             python3-html5lib,
@@ -110,7 +120,6 @@
         cnvkit (<< 0.9.6-2~),
 # 0.25 -> 1.0 API breaks, #950430
         python3-biom-format (<< 2.1.8+dfsg-3.1~),
-        python3-statsmodels (<< 0.11.0~),
         python3-seaborn (<< 0.9.1~),
 # 1.0 -> 1.1 API breaks, #969650
         python3-dask (<< 2.11.0+dfsg-1.1~),
@@ -118,7 +127,13 @@
         python3-cfgrib (<= 0.9.9-1),
         python3-joypy (<= 0.2.2-2),
         python3-cooler (<= 0.8.8-1),
-        python3-skbio (<= 0.5.6-5)
+# 1.3 -> 1.4 API breaks, see #1017809
+        python3-skbio (<= 0.5.6-6),
+        python3-ulmo (<= 0.8.8+dfsg1-1),
+# 1.4 -> 1.5 API breaks, see #1022571
+        python3-emperor (<= 1.0.3+ds-4),
+        python3-statsmodels (<< 0.13.5~),
+        q2templates (<= 2022.8.0+ds-1)
 Description: data structures for "relational" or "labeled" data
  pandas is a Python package providing fast, flexible, and expressive
  data structures designed to make working with "relational" or

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

PY3VERS := $(shell py3versions -vr)
PY3VER := $(shell py3versions -vd)
SOURCE_DATE:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
SOURCE_TIME:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")

UVER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's,+dfsg,,g')
# Python doesn't use ~ for rc
UVER_PY := $(shell echo $(UVER) | sed -e 's,[~],,g')
UVER_PYSHORT := $(shell echo $(UVER_PY) | sed -e 's,+git.*,,g')

# Filter out tests with "marker expressions" and "keyword expressions". Ref: pytest(1)
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32))
	PYTEST_MARKER := not network
else
	PYTEST_MARKER := not network and not slow
endif
# for matplotlib etc
export HOME=$(CURDIR)/buildtmp

# Split up the test suite to avoid running out of memory, use xvfb for plot tests, run but ignore potentially crashing tests; test_register_entrypoint expects an installed package, test_wrong_url needs internet, test_statsmodels is a circular dependency when adding a new Python version
# The echo-random-characters is to allow searching for fails that don't show the usual test failure message i.e. crashes/errors
# -v makes the log too long for salsa-ci
export PYBUILD_TEST_ARGS=TEST_SUCCESS=true; cd {build_dir} ; for TEST_SUBSET in {build_dir}/pandas/tests/* ; do PANDAS_CI=1 LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" -k "not test_register_entrypoint and not test_wrong_url and not test_statsmodels" --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files $$TEST_SUBSET || test $$? = 5 || TEST_SUCCESS=false && echo "rdjoqkol test state = $$TEST_SUCCESS"; done ; PANDAS_CI=1 LOCALE_OVERRIDE=C {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" --forked --runxfail --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files {build_dir}/pandas/tests/groupby/test_numba.py {build_dir}/pandas/tests/groupby/test_timegrouper.py {build_dir}/pandas/tests/groupby/transform/test_numba.py {build_dir}/pandas/tests/groupby/aggregate/test_numba.py {build_dir}/pandas/tests/window/test_numba.py {build_dir}/pandas/tests/window/test_apply.py {build_dir}/pandas/tests/window/test_online.py {build_dir}/pandas/tests/window/moments/test_moments_consistency_expanding.py || true ; rm -f test-data.xml ; $$TEST_SUCCESS

export PYBUILD_EXT_DESTDIR=debian/python3-pandas-lib
export PYBUILD_DESTDIR=debian/python3-pandas

# try to prevent unsanctioned downloads
export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

export SHELL=/bin/bash

# Mega rule
%:
	: # Explicit build system to avoid use of all-in-1 Makefile
	dh $@ --buildsystem=pybuild --with python3,numpy3,sphinxdoc

# The *cython* rules are provided to allow using pre-built Cython files in distributions without a new enough Cython; they are not (and must not be) used in official Debian builds (including -backports).  Use instructions:
# on a system with new enough Cython, run debian/rules cythonize - this will add a directory under debian/
# uncomment the _uncythonize rule dependency below
# remove the cython3 Build-Depends from d/control
# copy to the older system and build as normal
# To upgrade to a new upstream version, this process must be repeated
# Warning - has not been tested for some time
_cythonize%: override_dh_clean # force removal of previous copies
	python$(*:2=) setup.py cython
	D=debian/cythonized-files$(*:2=) && \
		git rm -rf $$D || rm -rf $$D; \
		find pandas/ -regex '.*\.c\(\|pp\)' | while read f; do \
			grep -q 'Generated by Cython' "$$f" || continue; \
			mkdir -p "$$D/$$(dirname $$f)"; \
			cp "$$f" "$$D/$$(dirname $$f)"; \
			git add -f "$$D/$$f" || true; \
		done; \
		echo "$(UVER)" >| $$D/VERSION; git add $$D/VERSION || true

_uncythonize%:
	: # Make sure that cythonized sources are up-to-date
	[ "$(UVER)" = "`cat debian/cythonized-files3/VERSION`" ]
	echo "$*" | grep -q '^3' && PY=3 || PY= ; \
		echo "I: Using pre-Cython-ed files for Python $*"; \
		cd debian/cythonized-files$$PY/ ; \
		find . -regex '.*\.c\(\|pp\)' | while read f; do cp $$f ../../$$f; done

cythonize: _cythonize3

override_dh_clean:
	find pandas/ -regex '.*\.c\(\|pp\)' | xargs grep -l -e 'Generated by Cython'  | xargs -r rm -f
	rm -rf build buildtmp doc/build *-stamp # pandas.egg-info pandas/datasets/__config__.py
	dh_clean

override_dh_auto_build-arch: # ${PY3VERS:%=_uncythonize%}
	mkdir -p buildtmp
	[ -e pandas/__version.py ] || \
	echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
	dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-arch
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	: # Build Documentation
	cd doc && PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build LC_ALL=C python3 make.py html
	# strip build paths and statsmodels timestamps for reproducibility, and online Javascript for privacy
	for html in `find doc/build/html -name _modules -prune -o -name "*.html" -o -name "*.ipynb"` ; do \
	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/pandas/#/usr/lib/python3/dist-packages/pandas/#g' \
	    -e 's#$(CURDIR)/debian/python3-pandas/usr/lib/python3/dist-packages/pandas/#/usr/lib/python3/dist-packages/pandas/#g' \
	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
	done
endif

override_dh_installdocs:
	dh_installdocs -A *.md
	# for NEWS.html.gz - put it here and use symlinks to avoid breaking internal links
	gzip -c -n -9 debian/python-pandas-doc/usr/share/doc/python-pandas-doc/html/whatsnew/index.html > debian/python-pandas-doc/usr/share/doc/python-pandas-doc/html/whatsnew/index.html.gz || true
	cp -av debian/contributors_list.txt debian/python-pandas-doc/usr/share/doc/python-pandas-doc || true
	# deduplicate files - the ||true is because we only build-depend on jdupes if we're building documentation
	jdupes -r -l debian/python-pandas-doc/usr/share/doc || true


## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

# see PYBUILD_TEST_ARGS above
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 $(CURDIR)/debian/datetime_testscript.py || true
	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build python3 $(CURDIR)/debian/datetime_testscript.py || true
	PYBUILD_SYSTEM=custom dh_auto_test || [ `dpkg --print-architecture` = mips64el ] || [ `dpkg --print-architecture` = mipsel ]
endif

## pandas 1.5.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,6 @@
                python3-tabulate (>= 0.8.9~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
                python3-tz (>= 2022.1~) <!nocheck> <!nodoc>,
-               python3-xarray (>= 0.19.0~) <!nocheck> <!nodoc>,
 # we don't have this version               python3-xlrd (>= 2.0.1~) <!nocheck> <!nodoc>,
                python3-xlsxwriter (>= 1.4.3~) <!nocheck> <!nodoc>,
 # having xlwt and not xlrd breaks tests/io/test_fsspec.py               python3-xlwt (>= 1.3.0~) <!nocheck> <!nodoc>,
@@ -63,23 +62,23 @@
                      ipython3 (>= 7.11.1~) <!nodoc>,
                      jdupes <!nodoc>,
 # for style.ipynb
-#fails with KeyError 'state'                     pandoc <!nodoc>,
+                     pandoc <!nodoc>,
 # for intersphinx inventories
                      python3-doc <!nodoc>,
-                     python-numpy-doc <!nodoc>,
+# no longer exists                     python-numpy-doc <!nodoc>,
                      python-scipy-doc <!nodoc>,
-                     python-matplotlib-doc <!nodoc>,
+# no longer exists                     python-matplotlib-doc <!nodoc>,
                      python-statsmodels-doc <!nodoc>,
 # these are for not having (as many) exception messages in documentation examples
 # so may be temporarily removed if they are broken or to break bootstrap cycles
 # not in Debian (not to be confused with python3-arrow) python3-pyarrow <!nodoc>,
-                     python3-ipywidgets <!nodoc>,
+#fails with KeyError 'state', possibly nbconvert bug 1731                     python3-ipywidgets <!nodoc>,
                      python3-rpy2 <!nodoc>,
                      python3-seaborn <!nodoc>,
                      python3-sqlalchemy <!nodoc>,
                      python3-statsmodels <!nodoc>,
-                     python3-xarray <!nodoc>
-Standards-Version: 4.6.1
+                     python3-xarray (>= 0.19.0~) <!nodoc>,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 Homepage: https://pandas.pydata.org/
@@ -122,7 +121,6 @@
         python3-biom-format (<< 2.1.8+dfsg-3.1~),
         python3-seaborn (<< 0.9.1~),
 # 1.0 -> 1.1 API breaks, #969650
-        python3-dask (<< 2.11.0+dfsg-1.1~),
 # 1.1 -> 1.3 API breaks, see #999415
         python3-cfgrib (<= 0.9.9-1),
         python3-joypy (<= 0.2.2-2),
@@ -133,7 +131,8 @@
 # 1.4 -> 1.5 API breaks, see #1022571
         python3-emperor (<= 1.0.3+ds-4),
         python3-statsmodels (<< 0.13.5~),
-        q2templates (<= 2022.8.0+ds-1)
+        q2templates (<= 2022.8.0+ds-1),
+        python3-dask (<= 2022.02.0+dfsg-2)
 Description: data structures for "relational" or "labeled" data
  pandas is a Python package providing fast, flexible, and expressive
  data structures designed to make working with "relational" or

## pandas 1.5.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	python setup.py build_ext
 
 lint-diff:
-	git diff upstream/master --name-only -- "*.py" | xargs flake8
+	git diff upstream/main --name-only -- "*.py" | xargs flake8
 
 black:
 	black .

=== debian/changelog ===
pandas (1.5.3+dfsg-6) unstable; urgency=medium

  * Disable numba tests on non-x86 (workaround for #1033907).
    Using numba on such systems already warns the user.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 19 Aug 2023 20:51:27 +0100

pandas (1.5.3+dfsg-5) unstable; urgency=medium

  * Backport the following from experimental:
    - Don't use numexpr for **, as it has different overflow behaviour.
    - Tests: don't use : in numexpr variable names.
    - Use tzdata-legacy where old-style timezone names are used.
    - Clean up after tests.
    - Tests: re-enable numba tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 17 Aug 2023 20:11:19 +0100

pandas (1.5.3+dfsg-4) unstable; urgency=medium

  * Docs: allow building with Sphinx 7.  (Closes: #1042672)
  * Remove unused python3-six dependencies.  (Closes: #1039441)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 30 Jul 2023 22:34:06 +0100

pandas (1.5.3+dfsg-3) unstable; urgency=medium

  * Tests: don't fail with fsspec 2023.  (Closes: #1042043)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Jul 2023 07:57:11 +0100

pandas (1.5.3+dfsg-2) unstable; urgency=medium

  * Tests: use a non-backzone timezone.  (Closes: #1031437)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 19 Feb 2023 11:01:48 +0000

pandas (1.5.3+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Update copyright and patches.
  * Tests: ignore plot rounding errors.  (Closes: #1029251)
  * Tests: re-enable dask test, ignore numpy 1.24 warning.
  * Docs: re-enable style.ipynb.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 22 Jan 2023 11:54:30 +0000

pandas (1.5.2+dfsg-6) unstable; urgency=medium

  * Move xarray to Build-Depends-Indep to break circular dependency.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Jan 2023 07:34:28 +0000

pandas (1.5.2+dfsg-5) unstable; urgency=medium

  * Fix or ignore warnings from numpy 1.24.
  * Stop ignoring tests on mips*, thanks to Adrian Bunk.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 10 Jan 2023 20:48:34 +0000

pandas (1.5.2+dfsg-4) unstable; urgency=medium

  * Add dask transition Breaks (see #1025393).
  * Don't try to load intersphinx links from python-numpy-doc,
    as it no longer exists.
  * Upload to unstable.  (Closes: #1023965, #1022571)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 09 Jan 2023 19:45:45 +0000

pandas (1.5.2+dfsg-3) experimental; urgency=medium

  * Tests: ignore a numpy warning.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 07 Jan 2023 10:09:11 +0000

pandas (1.5.2+dfsg-2) experimental; urgency=medium

  * Fix date_range overflow in 32-bit.  (Closes: #1026351)
  * Don't try to load intersphinx links from python-matplotlib-doc,
    as it no longer exists.  (Closes: #1027576)
  * Re-enable parso-using tests (as #1023896 has been fixed).
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 06 Jan 2023 21:36:03 +0000

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
                python3-jinja2 (>= 3.0~) <!nocheck> <!nodoc>,
                python3-lxml (>= 4.6.3~) <!nocheck> <!nodoc>,
                python3-matplotlib (>= 3.3.2~) [!ia64 !sh4 !x32] <!nocheck> <!nodoc>,
-# armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
-# uninstallable due to #1024795               python3-numba (>= 0.53.1~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x] <!nocheck> <!nodoc>,
+# numba may crash on non-x86 (#1033907)
+               python3-numba (>= 0.53.1~) [amd64 i386] <!nocheck> <!nodoc>,
                python3-numexpr (>= 2.8.0~) <!nocheck> <!nodoc>,
                python3-numpy (>= 1:1.18.5~),
                python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
@@ -35,7 +35,6 @@
                python3-pytest-xdist (>= 1.31~) <!nocheck> <!nodoc>,
                python3-scipy,
                python3-setuptools (>= 51~),
-               python3-six,
 # we don't have this version               python3-snappy (>= 0.6.0~) <!nocheck> <!nodoc>,
                python3-sqlalchemy (>= 1.4.16~) <!nocheck> <!nodoc>,
                python3-tables (>= 3.6.1~) <!nocheck> <!nodoc>,
@@ -47,6 +46,8 @@
 # having xlwt and not xlrd breaks tests/io/test_fsspec.py               python3-xlwt (>= 1.3.0~) <!nocheck> <!nodoc>,
                python3-zstandard <!nocheck> <!nodoc>,
                sphinx-common,
+# for tests/examples that use old-style timezone names
+               tzdata-legacy <!nocheck> <!nodoc>,
                xvfb <!nocheck>,
                xauth <!nocheck>,
                xclip <!nocheck>
@@ -92,8 +93,7 @@
          python3-dateutil,
          python3-pandas-lib (>= ${source:Upstream-Version}),
 # should maybe have a python3-pandas-lib (<< ${source:Upstream-Version}.0), as well, but that leaves arch:all BD-Uninstallable if arch:amd64 builds first
-         python3-pkg-resources,
-         python3-six
+         python3-pkg-resources
 Recommends: python3-scipy,
             python3-matplotlib,
             python3-tz,

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # Split up the test suite to avoid running out of memory, use xvfb for plot tests, run but ignore potentially crashing tests; test_register_entrypoint expects an installed package, test_wrong_url needs internet, test_statsmodels is a circular dependency when adding a new Python version
 # The echo-random-characters is to allow searching for fails that don't show the usual test failure message i.e. crashes/errors
 # -v makes the log too long for salsa-ci
-export PYBUILD_TEST_ARGS=TEST_SUCCESS=true; cd {build_dir} ; for TEST_SUBSET in {build_dir}/pandas/tests/* ; do PANDAS_CI=1 LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" -k "not test_register_entrypoint and not test_wrong_url and not test_statsmodels" --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files $$TEST_SUBSET || test $$? = 5 || TEST_SUCCESS=false && echo "rdjoqkol test state = $$TEST_SUCCESS"; done ; PANDAS_CI=1 LOCALE_OVERRIDE=C {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" --forked --runxfail --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files {build_dir}/pandas/tests/groupby/test_numba.py {build_dir}/pandas/tests/groupby/test_timegrouper.py {build_dir}/pandas/tests/groupby/transform/test_numba.py {build_dir}/pandas/tests/groupby/aggregate/test_numba.py {build_dir}/pandas/tests/window/test_numba.py {build_dir}/pandas/tests/window/test_apply.py {build_dir}/pandas/tests/window/test_online.py {build_dir}/pandas/tests/window/moments/test_moments_consistency_expanding.py || true ; rm -f test-data.xml ; $$TEST_SUCCESS
+export PYBUILD_TEST_ARGS=TEST_SUCCESS=true; cd {build_dir} ; for TEST_SUBSET in {build_dir}/pandas/tests/* ; do PANDAS_CI=1 LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" -k "not test_register_entrypoint and not test_wrong_url and not test_statsmodels" --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files $$TEST_SUBSET || test $$? = 5 || TEST_SUCCESS=false && echo "rdjoqkol test state = $$TEST_SUCCESS"; done ; PANDAS_CI=1 LOCALE_OVERRIDE=C {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" --forked --runxfail --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files {build_dir}/pandas/tests/groupby/test_numba.py {build_dir}/pandas/tests/groupby/test_timegrouper.py {build_dir}/pandas/tests/groupby/transform/test_numba.py {build_dir}/pandas/tests/groupby/aggregate/test_numba.py {build_dir}/pandas/tests/window/test_numba.py {build_dir}/pandas/tests/window/test_apply.py {build_dir}/pandas/tests/window/test_online.py {build_dir}/pandas/tests/window/moments/test_moments_consistency_expanding.py || true ; rm -rf test-data.xml .pytest_cache ; $$TEST_SUCCESS
 
 export PYBUILD_EXT_DESTDIR=debian/python3-pandas-lib
 export PYBUILD_DESTDIR=debian/python3-pandas
@@ -113,7 +113,5 @@
 # see PYBUILD_TEST_ARGS above
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	python3 $(CURDIR)/debian/datetime_testscript.py || true
-	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build python3 $(CURDIR)/debian/datetime_testscript.py || true
-	PYBUILD_SYSTEM=custom dh_auto_test || [ `dpkg --print-architecture` = mips64el ] || [ `dpkg --print-architecture` = mipsel ]
+	PYBUILD_SYSTEM=custom dh_auto_test
 endif

=== debian/tests/control ===
# Check that the hard Depends are enough for import
# cd to not-the-source-directory to get the installed pandas
Test-Command: cd "$AUTOPKGTEST_TMP" && python3 -c "import pandas;a=pandas.DataFrame([[1,2],[3,4]])"
Depends: python3-pandas
Restrictions: allow-stderr

# According to pandas/doc/source/install.rst, running the unit tests looks like:
# `py.test-3 --skip-slow --skip-network /usr/lib/python3/dist-packages/pandas/ -v -rs`
# Or simply `python3 -c "import pandas as pd; pd.test()"`, which doesn't require
# us to specify the path (pandas.__path__) in command line.
# See: pandas/util/_tester.py
Tests: unittests3
# xml test_wrong_url fails without ca-certificates
Depends: python3-pandas,
         ca-certificates,
         locales-all,
         python3-all,
# we don't have this version         python3-blosc (>= 1.21.0~),
         python3-bottleneck (>= 1.3.2~),
         python3-bs4 (>= 4.9.3~),
         python3-dask (>= 2.10.1~),
         python3-dateutil,
         python3-fsspec (>= 2021.07.0~),
         python3-html5lib (>= 1.1~),
         python3-hypothesis (>= 6.13.0~),
         python3-jinja2 (>= 3.0~),
         python3-lxml (>= 4.6.3~),
         python3-matplotlib (>= 3.3.2~) [!ia64 !sh4 !x32],
# numba may crash on non-x86 (#1033907)
         python3-numba (>= 0.53.1~) [amd64 i386],
         python3-numexpr (>= 2.8.0~),
         python3-numpy (>= 1:1.18.5~),
         python3-odf (>= 1.4.1~),
         python3-openpyxl (>= 3.0.7~),
# doesn't seem to work in this test environment         python3-psycopg2 (>= 2.8.6~),
# doesn't seem to work in this test environment         python3-pymysql (>= 1.0.2~),
         python3-pytest (>= 6.0~),
         python3-pytest-asyncio (>= 0.17~),
         python3-pytest-forked,
         python3-pytest-xdist (>= 1.31~),
         python3-scipy,
         python3-setuptools (>= 51~),
# we don't have this version         python3-snappy (>= 0.6.0~),
         python3-sqlalchemy (>= 1.4.16~),
         python3-tables (>= 3.6.1~),
         python3-tabulate (>= 0.8.9~),
         python3-tk,
         python3-tz (>= 2022.1~),
         python3-xarray (>= 0.19.0~),
# we don't have this version         python3-xlrd (>= 2.0.1~),
         python3-xlsxwriter (>= 1.4.3~),
# having xlwt and not xlrd breaks tests/io/test_fsspec.py         python3-xlwt (>= 1.3.0~),
         python3-zstandard,
         tzdata-legacy,
         xauth,
         xvfb,
         xclip,
Restrictions: allow-stderr, needs-internet
